List campaigns
GET/v1/campaigns
Requires the campaigns:read scope.
| Parameter | Type | Contents |
|---|---|---|
status | string | draft, pending_review, active, budget_depleted, paused, ended, rejected, or cancelled |
limit | integer | Rows per page, 1 to 100, default 50 |
cursor | string | next_cursor from the previous page |
curl "https://api.wefluence.app/v1/campaigns?status=active" \
-H "Authorization: Bearer $WEFLUENCE_API_KEY"requests.get(f"{API}/campaigns", headers=HEADERS, params={"status": "active"}).json()await (await fetch(`${API}/campaigns?status=active`, { headers })).json();Response
{
"object": "list",
"data": [
{
"id": "abc123",
"title": "October campaign",
"status": "active",
"type": "clip_brand",
"pricing": { "model": "per_views", "rate_per_1000_views": 5000 },
"budget": 5000000,
"payment_status": "paid",
"target_platforms": ["TikTok"],
"deadline": "2026-11-30T16:59:59.000Z",
"created_at": "2026-10-01T03:00:00.000Z"
}
],
"has_more": false,
"next_cursor": null,
"as_of": "2026-11-02T09:00:00.000Z"
}Get a campaign
GET/v1/campaigns/{id}
Requires the campaigns:read scope. Contains the same fields as a list row, plus the following.
| Field | Type | Contents |
|---|---|---|
description | string | Campaign description |
brief | string | Brief for creators |
rules | array | Campaign rules |
approval | string | auto or manual |
is_private | boolean | Private campaign |
reference_video | string or null | Example video link |
curl https://api.wefluence.app/v1/campaigns/abc123 \
-H "Authorization: Bearer $WEFLUENCE_API_KEY"requests.get(f"{API}/campaigns/abc123", headers=HEADERS).json()await (await fetch(`${API}/campaigns/abc123`, { headers })).json();